Subject: Re: [MMUSIC] Comments on draft-ietf-mmusic-media-loopback-24

From: "Rosen, Brian" <[email-masked]>
Date: Thu, 6 Dec 2012 20:50:47 -0500

No one replied to you.

I believe there is no restriction, any codec could be used in theory.  We just had a conversation about if any media streams were looped, did all of them have to be, and the consensus on that was no.  Not sure any device would choose to allow loopback of telephone-events, but it could I suppose.

I don't think it could reasonably be extended to hack caller id in the way you describe.

Brian

On Nov 12, 2012, at 3:46 PM, "Klatsky, Carl" <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

A colleague of mine forwarded me this draft and I had two comments if someone on the distro has input:

1)      When setting up the media loopback, are there any restrictions on type of codec used?  Could even telephone-events codec be specified?
2)      Although this draft is centered around media, can it be extended to for use as means to test the caller ID set connected to an analog telephony interface?  The approach outlined in this draft seems to imply no interaction with the end subscriber is needed.  If the network operator wanted to silently send a test pattern to the caller ID set, perhaps this same loopback mechanism can be used with either an additional SDP attribute or some change in the SIP header itself.  A related application would be to advance the timestamp on the caller ID set following Daylight Savings Time transition.  Typically that is not updated until the next inbound call following the DST change.  A loopback call could signal to the device to update the caller ID set but without ringing / alerting the end subscriber without the need to wait for an inbound call.

Regards,

Carl Klatsky
Comcast
_______________________________________________
mmusic mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mmusic